Skip to main content
POST
/
email
/
threads
/
{thread_id}
/
forward
Forward Thread
curl --request POST \
  --url https://api.decodahealth.com/email/threads/{thread_id}/forward \
  --header 'API-KEY: <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'TENANT: <tenant>' \
  --data '
{
  "to": [
    "<string>"
  ],
  "bodyHtml": "<string>",
  "bodyText": "<string>"
}
'
import requests

url = "https://api.decodahealth.com/email/threads/{thread_id}/forward"

payload = {
    "to": ["<string>"],
    "bodyHtml": "<string>",
    "bodyText": "<string>"
}
headers = {
    "TENANT": "<tenant>",
    "API-KEY": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({to: ['<string>'], bodyHtml: '<string>', bodyText: '<string>'})
};

fetch('https://api.decodahealth.com/email/threads/{thread_id}/forward', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "success": true,
  "messageId": "<string>",
  "threadId": "<string>",
  "error": "<string>"
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Path Parameters

thread_id
string
required

Body

application/json

Request to forward an email.

to
string[]
required

Forward recipients

Minimum array length: 1
bodyHtml
string | null

Additional message

bodyText
string | null

Response

Successful Response

Response after sending an email.

success
boolean
required
messageId
string | null
threadId
string | null
error
string | null